OpenTTD Source: DrawTileSeqStruct Struct Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Data Fields
DrawTileSeqStruct Struct Reference

A tile child sprite and palette to draw for stations etc, with 3D bounding box. More...

`#include <sprite.h>`

Inheritance diagram for DrawTileSeqStruct:

## Public Member Functions
constexpr | DrawTileSeqStruct (int8_t origin_x, int8_t origin_y, int8_t origin_z, uint8_t extent_x, uint8_t extent_y, uint8_t extent_z, PalSpriteID image)
bool | IsParentSprite () const
| Check whether this is a parent sprite with a boundingbox.
Public Member Functions inherited from SpriteBounds
constexpr | SpriteBounds (const Coord3D< int8_t > &origin, const Coord3D< uint8_t > &extent, const Coord3D< int8_t > &offset)

## Data Fields
PalSpriteID | image
Data Fields inherited from SpriteBounds
Coord3D< int8_t > | origin
| Position of northern corner within tile.
Coord3D< uint8_t > | extent
| Size of bounding box.
Coord3D< int8_t > | offset
| Relative position of sprite from bounding box.

## Detailed Description

A tile child sprite and palette to draw for stations etc, with 3D bounding box.

Definition at line 33 of file sprite.h.

## Constructor & Destructor Documentation

## ◆ DrawTileSeqStruct()

constexpr DrawTileSeqStruct::DrawTileSeqStruct | ( | int8_t | origin_x,
|  | int8_t | origin_y,
|  | int8_t | origin_z,
|  | uint8_t | extent_x,
|  | uint8_t | extent_y,
|  | uint8_t | extent_z,
|  | PalSpriteID | image
| ) |  |
| inlineconstexpr

Definition at line 37 of file sprite.h.

## Member Function Documentation

## ◆ IsParentSprite()

bool DrawTileSeqStruct::IsParentSprite | ( |  | ) | const
| inline

Check whether this is a parent sprite with a boundingbox.

Definition at line 41 of file sprite.h.

References SpriteBounds::origin, and Coord3D< T >::z.

Referenced by ReadSpriteLayout().

## Field Documentation

## ◆ image

PalSpriteID DrawTileSeqStruct::image

Definition at line 34 of file sprite.h.

The documentation for this struct was generated from the following file:

- src/sprite.h